<template>
<v-layout style="border: 1px solid #aaa" class="mx-1">
  <div>
    <v-img
      v-if="b64"
      alt="captcha"
      contain
      :src="b64"
      height="48"
      width="100"
      style="border:0px solid #bbb;"
      >
    </v-img>
  </div>
  <div>
  <v-btn icon @click="refresh" aria-label="Refresh">
    <v-icon>{{ mdiRefresh }}</v-icon>
  </v-btn>
  </div>
</v-layout>
</template>


<script>
import API from './api.ts';
import {
  mdiRefresh,
} from '@mdi/js';

export default {
  data: () => ({
    // icons
    mdiRefresh,

    id: '',  // captcha ID
    b64: '', // captcha picture
  }),
  mounted() {
    this.refresh();
  },
  methods: {
    async refresh() {
      try {
        const path = API.captcha();
        const time = new Date().getTime();
        const res = await API.GET(`${path}/?${time}`);
        this.b64 = res.data.b64data;
        this.id = res.data.id;
      } catch (e) {
        console.log(e);
      }
    },
  }
}
</script>
